Index: src/libbu/tests/CMakeLists.txt
===================================================================
--- src/libbu/tests/CMakeLists.txt	(revision 54114)
+++ src/libbu/tests/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
-BRLCAD_ADDEXEC(tester_bu_sscanf bu_sscanf.c libbu NO_INSTALL LOCAL)
-BRLCAD_ADDEXEC(tester_bu_gethostname bu_gethostname.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_sscanf bu_sscanf.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_gethostname bu_gethostname.c libbu NO_INSTALL LOCAL)
 
 #
 #  ************ basename.c tests *************
@@ -8,7 +8,7 @@
 ###############################
 #      bu_basename testing    #
 ###############################
-BRLCAD_ADDEXEC(tester_bu_basename    bu_basename.c    libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_basename    bu_basename.c    libbu NO_INSTALL LOCAL)
 add_test(bu_basename_null                                   tester_bu_basename) # tests NULL
 add_test(bu_basename_empty                                  tester_bu_basename "")
 add_test(bu_basename_sl_usr_sl_dir_sl_file                  tester_bu_basename "/usr/dir/file")
@@ -40,47 +40,47 @@
 ###############################
 #      bu_bitv_and testing    #
 ###############################
-BRLCAD_ADDEXEC(tester_bu_bitv_and    bu_bitv_and.c    libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_bitv_and    bu_bitv_and.c    libbu NO_INSTALL LOCAL)
 add_test(bu_bitv_and_test1 tester_bu_bitv_and "ffffffff" "00000000" "00000000")
 add_test(bu_bitv_and_test2 tester_bu_bitv_and "ab00" "1200" "0200")
 
 ###############################
 #      bu_bitv_or testing     #
 ###############################
-BRLCAD_ADDEXEC(tester_bu_bitv_or     bu_bitv_or.c     libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_bitv_or     bu_bitv_or.c     libbu NO_INSTALL LOCAL)
 add_test(bu_bitv_or_test1 tester_bu_bitv_or "ffffffff" "00000000" "ffffffff")
 add_test(bu_bitv_or_test2 tester_bu_bitv_or "ab00" "1200" "bb00")
 
 ##################################
 #      bu_bitv_shift testing     #
 ##################################
-BRLCAD_ADDEXEC(tester_bu_bitv_shift  bu_bitv_shift.c  libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_bitv_shift  bu_bitv_shift.c  libbu NO_INSTALL LOCAL)
 add_test(bu_bitv_shift tester_bu_bitv_shift)
 
 ##################################
 #      bu_bitv_to_hex testing    #
 ##################################
-BRLCAD_ADDEXEC(tester_bu_bitv_to_hex bu_bitv_to_hex.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_bitv_to_hex bu_bitv_to_hex.c libbu NO_INSTALL LOCAL)
 add_test(bu_bitv_to_hex_test1 tester_bu_bitv_to_hex "0123" "33323130" 32)
 add_test(bu_bitv_to_hex_test2 tester_bu_bitv_to_hex "12" "3231" 16)
 
 ################################
 #      bu_bitv_vls testing     #
 ################################
-BRLCAD_ADDEXEC(tester_bu_bitv_vls    bu_bitv_vls.c    libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_bitv_vls    bu_bitv_vls.c    libbu NO_INSTALL LOCAL)
 add_test(bu_bitv_vls_test1 tester_bu_bitv_vls "00000000" "() ")
 add_test(bu_bitv_vls_test2 tester_bu_bitv_vls "f0f0f0f0" "(4, 5, 6, 7, 12, 13, 14, 15, 20, 21, 22, 23, 28, 29, 30, 31) ")
 
 ##################################
 #      bu_hex_to_bitv testing    #
 ##################################
-BRLCAD_ADDEXEC(tester_bu_hex_to_bitv bu_hex_to_bitv.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_hex_to_bitv bu_hex_to_bitv.c libbu NO_INSTALL LOCAL)
 add_test(bu_hex_to_bitv_test1 tester_bu_hex_to_bitv "33323130" "0123" 0)
 add_test(bu_hex_to_bitv_test2 tester_bu_hex_to_bitv "30" "0" 0)
 add_test(bu_hex_to_bitv_error tester_bu_hex_to_bitv "303" "" 1)
 
 else(ENABLE_BITV_TESTS)
-CMAKEFILES(bu_bitv_and.c bu_bitv_or.c bu_bitv_shift.c bu_bitv_to_hex.c bu_bitv_vls.c bu_hex_to_bitv.c)
+cmakefiles(bu_bitv_and.c bu_bitv_or.c bu_bitv_shift.c bu_bitv_to_hex.c bu_bitv_vls.c bu_hex_to_bitv.c)
 endif(ENABLE_BITV_TESTS)
 
 #
@@ -90,7 +90,7 @@
 #################################
 #      bu_booleanize testing    #
 #################################
-BRLCAD_ADDEXEC(tester_bu_booleanize bu_booleanize.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_booleanize bu_booleanize.c libbu NO_INSTALL LOCAL)
 add_test(bu_booleanize_null         tester_bu_booleanize) # tests NULL
 add_test(bu_booleanize_empty        tester_bu_booleanize "")
 add_test(bu_booleanize_n            tester_bu_booleanize "n")
@@ -118,7 +118,7 @@
 ##################################
 # Note - because of the special characters needed in these tests, the strings
 # don't work well when fed in from the command line.
-BRLCAD_ADDEXEC(tester_bu_str_isprint bu_str_isprint.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_str_isprint bu_str_isprint.c libbu NO_INSTALL LOCAL)
 add_test(bu_str_isprint_basic                tester_bu_str_isprint 1)
 add_test(bu_str_isprint_eol                  tester_bu_str_isprint 2)
 add_test(bu_str_isprint_double_slash         tester_bu_str_isprint 3)
@@ -134,7 +134,7 @@
 ##############################
 #      bu_dirname testing    #
 ##############################
-BRLCAD_ADDEXEC(tester_bu_dirname bu_dirname.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_dirname bu_dirname.c libbu NO_INSTALL LOCAL)
 add_test(bu_dirname__usr_dir_file tester_bu_dirname "/usr/dir/file")
 add_test(bu_dirname__usr_dir_ tester_bu_dirname "/usr/dir/")
 add_test(bu_dirname__usr__bsl__dir tester_bu_dirname "/usr\\\\/dir")
@@ -164,7 +164,7 @@
 # Note - because of the quoting needed in these tests, it is simpler
 # to leave the input strings in the C code.  Individual tests are triggered
 # by number
-BRLCAD_ADDEXEC(tester_bu_escape bu_escape.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_escape bu_escape.c libbu NO_INSTALL LOCAL)
 
 ###################################
 #      bu_str_unescape testing    #
@@ -246,7 +246,7 @@
 ###############################
 #      bu_progname testing    #
 ###############################
-BRLCAD_ADDEXEC(tester_bu_progname bu_progname.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_progname bu_progname.c libbu NO_INSTALL LOCAL)
 add_test(bu_progname_tests tester_bu_progname)
 
 #
@@ -256,7 +256,7 @@
 # approach - the tests below all test both bu_vls_encode and bu_vls_decode.
 # Like many string functions using escaped characters the input strings are
 # left in C to minimize pass-through errors.
-BRLCAD_ADDEXEC(tester_bu_quote bu_quote.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_quote bu_quote.c libbu NO_INSTALL LOCAL)
 add_test(bu_quote_test_1  tester_bu_quote 1)   # NULL
 add_test(bu_quote_test_2  tester_bu_quote 2)   # ""
 add_test(bu_quote_test_3  tester_bu_quote 3)   # " "
@@ -284,19 +284,19 @@
 #
 #  ************ rb_*.c tests *************
 #
-BRLCAD_ADDEXEC(tester_bu_redblack bu_redblack.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_redblack bu_redblack.c libbu NO_INSTALL LOCAL)
 add_test(bu_redblack_test tester_bu_redblack)
 
 #
 #  ************ timer.c tests *************
 #
-BRLCAD_ADDEXEC(tester_bu_timer bu_timer.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_timer bu_timer.c libbu NO_INSTALL LOCAL)
 add_test(bu_gettime_test tester_bu_timer)
 
 #
 #  ************ vls_vprintf.c tests *************
 #
-BRLCAD_ADDEXEC(tester_bu_vls_vprintf bu_vls_vprintf.c libbu NO_INSTALL LOCAL)
+brlcad_addexec(tester_bu_vls_vprintf bu_vls_vprintf.c libbu NO_INSTALL LOCAL)
 add_test(bu_vls_vprintf_test_1  tester_bu_vls_vprintf 1)
 add_test(bu_vls_vprintf_test_2  tester_bu_vls_vprintf 2)
 add_test(bu_vls_vprintf_test_3  tester_bu_vls_vprintf 3)
Index: src/libbu/CMakeLists.txt
===================================================================
--- src/libbu/CMakeLists.txt	(revision 54114)
+++ src/libbu/CMakeLists.txt	(working copy)
@@ -8,7 +8,7 @@
 # locally used but not needed by users of the library
 set(BU_LOCAL_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR})
 
-BRLCAD_LIB_INCLUDE_DIRS(bu BU_INCLUDE_DIRS BU_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(bu BU_INCLUDE_DIRS BU_LOCAL_INCLUDE_DIRS)
 
 set(LIBBU_SOURCES
   argv.c
@@ -94,7 +94,7 @@
   xdr.c
   )
 
-BRLCAD_ADDLIB(libbu "${LIBBU_SOURCES}" "${CMAKE_THREAD_LIBS_INIT};${TCL_LIBRARY};${WINSOCK_LIB};${PSAPI_LIB};${M_LIBRARY}")
+brlcad_addlib(libbu "${LIBBU_SOURCES}" "${CMAKE_THREAD_LIBS_INIT};${TCL_LIBRARY};${WINSOCK_LIB};${PSAPI_LIB};${M_LIBRARY}")
 set_target_properties(libbu PROPERTIES VERSION 20.0.1 SOVERSION 20)
 get_directory_property(BRLCAD_TCL_BUILD DIRECTORY ${BRLCAD_SOURCE_DIR}/src/other DEFINITION BRLCAD_TCL_BUILD)
 if("${BRLCAD_TCL_BUILD}" STREQUAL "ON")
@@ -108,8 +108,8 @@
   uce-dirent.h
   vls_internals.h
   )
-CMAKEFILES(${bu_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${bu_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/burst/CMakeLists.txt
===================================================================
--- src/burst/CMakeLists.txt	(revision 54114)
+++ src/burst/CMakeLists.txt	(working copy)
@@ -6,7 +6,7 @@
     ${RT_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}
     )
-  LIST(REMOVE_DUPLICATES BURST_INCLUDE_DIRS)
+  list(REMOVE_DUPLICATES BURST_INCLUDE_DIRS)
   include_directories(${BURST_INCLUDE_DIRS})
 
   set(burst_SOURCES
@@ -28,7 +28,7 @@
     ui.c
     )
 
-  BRLCAD_ADDEXEC(burst "${burst_SOURCES}" "librt;libfb;libtermio;${TERMLIB_LIBRARY};${M_LIBRARY}")
+  brlcad_addexec(burst "${burst_SOURCES}" "librt;libfb;libtermio;${TERMLIB_LIBRARY};${M_LIBRARY}")
 
   set(burst_noinst_HEADERS
     ascii.h
@@ -39,8 +39,8 @@
     Sc.h
     trie.h
     )
-  CMAKEFILES(${burst_noinst_HEADERS} burst.format)
-  CMAKEFILES(Makefile.am)
+  cmakefiles(${burst_noinst_HEADERS} burst.format)
+  cmakefiles(Makefile.am)
 endif(HAVE_TERMLIB)
 
 # Local Variables:
Index: src/halftone/CMakeLists.txt
===================================================================
--- src/halftone/CMakeLists.txt	(revision 54114)
+++ src/halftone/CMakeLists.txt	(working copy)
@@ -2,7 +2,7 @@
   ${FB_INCLUDE_DIRS}
   ${RT_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES HALFTONE_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES HALFTONE_INCLUDE_DIRS)
 include_directories(${HALFTONE_INCLUDE_DIRS})
 
 set(halftone_SOURCES
@@ -15,9 +15,9 @@
   tonescale.c
   )
 
-BRLCAD_ADDEXEC(halftone "${halftone_SOURCES}" "librt;libfb")
+brlcad_addexec(halftone "${halftone_SOURCES}" "librt;libfb")
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/irprep/CMakeLists.txt
===================================================================
--- src/irprep/CMakeLists.txt	(revision 54114)
+++ src/irprep/CMakeLists.txt	(working copy)
@@ -3,23 +3,23 @@
   ${RT_INCLUDE_DIRS}
   ${X11_INCLUDE_DIR}
   )
-LIST(REMOVE_DUPLICATES IRPREP_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES IRPREP_INCLUDE_DIRS)
 include_directories(${IRPREP_INCLUDE_DIRS})
 
 if(BRLCAD_ENABLE_X11)
-  BRLCAD_ADDEXEC(ir-X ir-X.c "libbu;${X11_LIBRARIES}")
-  BRLCAD_ADDEXEC(irdisp irdisp.c "libbu;${X11_LIBRARIES}")
-  BRLCAD_ADDEXEC(pictx pictx.c "${X11_LIBRARIES}")
+  brlcad_addexec(ir-X ir-X.c "libbu;${X11_LIBRARIES}")
+  brlcad_addexec(irdisp irdisp.c "libbu;${X11_LIBRARIES}")
+  brlcad_addexec(pictx pictx.c "${X11_LIBRARIES}")
 endif(BRLCAD_ENABLE_X11)
 
-BRLCAD_ADDEXEC(all_sf all_sf.c "librt;${M_LIBRARY}")
-BRLCAD_ADDEXEC(showtherm showtherm.c "librt;${M_LIBRARY}")
-BRLCAD_ADDEXEC(firpass "firpass.c;subroutines.c" "librt;${M_LIBRARY}")
-BRLCAD_ADDEXEC(secpass "secpass.c;subroutines.c" "librt;${M_LIBRARY}")
-BRLCAD_ADDEXEC(shapefact shapefact.c "librt;${M_LIBRARY}")
+brlcad_addexec(all_sf all_sf.c "librt;${M_LIBRARY}")
+brlcad_addexec(showtherm showtherm.c "librt;${M_LIBRARY}")
+brlcad_addexec(firpass "firpass.c;subroutines.c" "librt;${M_LIBRARY}")
+brlcad_addexec(secpass "secpass.c;subroutines.c" "librt;${M_LIBRARY}")
+brlcad_addexec(shapefact shapefact.c "librt;${M_LIBRARY}")
 
-CMAKEFILES(pictx.c)
-CMAKEFILES(Makefile.am)
+cmakefiles(pictx.c)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/archer/CMakeLists.txt
===================================================================
--- src/archer/CMakeLists.txt	(revision 54114)
+++ src/archer/CMakeLists.txt	(working copy)
@@ -34,7 +34,7 @@
 endif(HAVE_SYMLINK)
 add_custom_target(archer ALL DEPENDS ${archer_cmd_outputs})
 install(PROGRAMS archer DESTINATION bin)
-DISTCLEAN(${archer_cmd_outputs})
+distclean(${archer_cmd_outputs})
 
 # archer depends on the creation/installation of all the
 # tclscripts.
@@ -62,30 +62,30 @@
   endif(BRLCAD_BUILD_TKTABLE)
 endif(BRLCAD_ENABLE_TK)
 
-BRLCAD_ADDDATA(plugins/Core/README plugins/archer/Core)
-BRLCAD_ADDDATA(plugins/Commands/README plugins/archer/Command)
+brlcad_adddata(plugins/Core/README plugins/archer/Core)
+brlcad_adddata(plugins/Commands/README plugins/archer/Command)
 
 set(archer_utility_FILES
   plugins/Utility/botUtilityP.tcl
   plugins/Utility/attrGroupsDisplayUtilityP.tcl
   plugins/Utility/README
   )
-BRLCAD_ADDDATA(archer_utility_FILES plugins/archer/Utility)
+brlcad_adddata(archer_utility_FILES plugins/archer/Utility)
 
-BRLCAD_ADDDATA(plugins/Utility/botUtilityP/BotUtilityP.tcl plugins/archer/Utility/botUtilityP)
-BRLCAD_ADDDATA(plugins/Utility/attrGroupsDisplayUtilityP/AttrGroupsDisplayUtilityP.tcl	plugins/archer/Utility/attrGroupsDisplayUtilityP)
+brlcad_adddata(plugins/Utility/botUtilityP/BotUtilityP.tcl plugins/archer/Utility/botUtilityP)
+brlcad_adddata(plugins/Utility/attrGroupsDisplayUtilityP/AttrGroupsDisplayUtilityP.tcl	plugins/archer/Utility/attrGroupsDisplayUtilityP)
 
 set(archer_wizard_FILES
   plugins/Wizards/humanwizard.tcl
   plugins/Wizards/tankwizard.tcl
   plugins/Wizards/tirewizard.tcl
   )
-BRLCAD_ADDDATA(archer_wizard_FILES plugins/archer/Wizards)
+brlcad_adddata(archer_wizard_FILES plugins/archer/Wizards)
 
-BRLCAD_ADDDATA(plugins/Wizards/humanwizard/HumanWizard.tcl plugins/archer/Wizards/humanwizard)
-BRLCAD_ADDDATA(plugins/Wizards/tankwizard/TankWizard.tcl plugins/archer/Wizards/tankwizard)
-BRLCAD_ADDDATA(plugins/Wizards/tankwizard/images/tank.png plugins/archer/Wizards/tankwizardIA/images)
-BRLCAD_ADDDATA(plugins/Wizards/tirewizard/TireWizard.tcl plugins/archer/Wizards/tirewizard)
+brlcad_adddata(plugins/Wizards/humanwizard/HumanWizard.tcl plugins/archer/Wizards/humanwizard)
+brlcad_adddata(plugins/Wizards/tankwizard/TankWizard.tcl plugins/archer/Wizards/tankwizard)
+brlcad_adddata(plugins/Wizards/tankwizard/images/tank.png plugins/archer/Wizards/tankwizardIA/images)
+brlcad_adddata(plugins/Wizards/tirewizard/TireWizard.tcl plugins/archer/Wizards/tirewizard)
 
 set(archer_ignore_files
   TODO
@@ -99,8 +99,8 @@
   plugins/Wizards/tankwizard
   plugins/Wizards/tirewizard
   )
-CMAKEFILES(${archer_ignore_files})
-CMAKEFILES(Makefile.am plugins/Makefile.am plugins/Utility/Makefile.am plugins/Wizards/Makefile.am)
+cmakefiles(${archer_ignore_files})
+cmakefiles(Makefile.am plugins/Makefile.am plugins/Utility/Makefile.am plugins/Wizards/Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libcursor/CMakeLists.txt
===================================================================
--- src/libcursor/CMakeLists.txt	(revision 54114)
+++ src/libcursor/CMakeLists.txt	(working copy)
@@ -4,11 +4,11 @@
     ${BRLCAD_SOURCE_DIR}/include
     ${TERMLIB_INCLUDE_DIR}
     )
-  BRLCAD_LIB_INCLUDE_DIRS(termlib TERMLIB_INCLUDE_DIRS "")
+  brlcad_lib_include_dirs(termlib TERMLIB_INCLUDE_DIRS "")
 
-  BRLCAD_ADDLIB(libcursor cursor.c "${TERMLIB_LIBRARY}")
-  SET_TARGET_PROPERTIES(libcursor PROPERTIES VERSION 20.0.1 SOVERSION 20)
-  CMAKEFILES(Makefile.am)
+  brlcad_addlib(libcursor cursor.c "${TERMLIB_LIBRARY}")
+  set_target_properties(libcursor PROPERTIES VERSION 20.0.1 SOVERSION 20)
+  cmakefiles(Makefile.am)
 endif(HAVE_TERMLIB)
 
 # Local Variables:
Index: src/conv/raw/CMakeLists.txt
===================================================================
--- src/conv/raw/CMakeLists.txt	(revision 54114)
+++ src/conv/raw/CMakeLists.txt	(working copy)
@@ -3,7 +3,7 @@
   ${RT_INCLUDE_DIRS}
   ${WDB_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES RAW_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES RAW_INCLUDE_DIRS)
 include_directories(${RAW_INCLUDE_DIRS})
 
 if(MSVC)
@@ -17,14 +17,14 @@
   raw-g.cpp
   RegionList.cpp
   )
-BRLCAD_ADDEXEC(raw-g "${rawg_SRCS}" "libwdb;librt;libbu" NOSTRICT)
+brlcad_addexec(raw-g "${rawg_SRCS}" "libwdb;librt;libbu" NOSTRICT)
 
 set(RAW_IGNORE_FILES
   Bot.h
   RegionList.h
   )
-CMAKEFILES(${RAW_IGNORE_FILES})
-CMAKEFILES(Makefile.am)
+cmakefiles(${RAW_IGNORE_FILES})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/conv/vdeck/CMakeLists.txt
===================================================================
--- src/conv/vdeck/CMakeLists.txt	(revision 54114)
+++ src/conv/vdeck/CMakeLists.txt	(working copy)
@@ -3,9 +3,9 @@
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
 
-BRLCAD_ADDEXEC(vdeck "cgarbs.c;match.c;parsarg.c;vdeck.c" "librt;${M_LIBRARY}")
-CMAKEFILES(std.h vextern.h)
-CMAKEFILES(Makefile.am)
+brlcad_addexec(vdeck "cgarbs.c;match.c;parsarg.c;vdeck.c" "librt;${M_LIBRARY}")
+cmakefiles(std.h vextern.h)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/conv/intaval/CMakeLists.txt
===================================================================
--- src/conv/intaval/CMakeLists.txt	(revision 54114)
+++ src/conv/intaval/CMakeLists.txt	(working copy)
@@ -3,7 +3,7 @@
   ${RT_INCLUDE_DIRS}
   ${WDB_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES INTAVAL_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES INTAVAL_INCLUDE_DIRS)
 include_directories(${INTAVAL_INCLUDE_DIRS})
 
 if(MSVC)
@@ -18,7 +18,7 @@
   tgf-g.cpp
   write_brl.cpp
   )
-BRLCAD_ADDEXEC(tgf-g "${tgf_SRCS}" "libwdb;librt;libbu")
+brlcad_addexec(tgf-g "${tgf_SRCS}" "libwdb;librt;libbu")
 
 set(intaval_ignore_files
   glob.h
@@ -27,8 +27,8 @@
   regtab.h
   write_brl.h
   )
-CMAKEFILES(${intaval_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${intaval_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/conv/CMakeLists.txt
===================================================================
--- src/conv/CMakeLists.txt	(revision 54114)
+++ src/conv/CMakeLists.txt	(working copy)
@@ -29,28 +29,28 @@
   ${REGEX_INCLUDE_DIR}
   )
 
-LIST(REMOVE_DUPLICATES CONV_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES CONV_INCLUDE_DIRS)
 include_directories(${CONV_INCLUDE_DIRS})
 
-BRLCAD_ADDEXEC(3dm-g 3dm/3dm-g.cpp "libwdb;${OPENNURBS_LIBRARY}" NOSTRICT)
+brlcad_addexec(3dm-g 3dm/3dm-g.cpp "libwdb;${OPENNURBS_LIBRARY}" NOSTRICT)
 
-BRLCAD_ADDEXEC(asc2dsp asc/asc2dsp.c libbu)
+brlcad_addexec(asc2dsp asc/asc2dsp.c libbu)
 
-BRLCAD_ADDEXEC(asc2g asc/asc2g.c "libtclcad;libged;libwdb;librt;libbu;${WINSOCK_LIB};${M_LIBRARY}")
+brlcad_addexec(asc2g asc/asc2g.c "libtclcad;libged;libwdb;librt;libbu;${WINSOCK_LIB};${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(asc2pix asc/asc2pix.c libbu)
+brlcad_addexec(asc2pix asc/asc2pix.c libbu)
 
-BRLCAD_ADDEXEC(pix2asc asc/pix2asc.c libbu)
+brlcad_addexec(pix2asc asc/pix2asc.c libbu)
 
-BRLCAD_ADDEXEC(asc-nmg nmg/asc-nmg.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(asc-nmg nmg/asc-nmg.c "libwdb;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(g2asc asc/g2asc.c "librt;libbu;${WINSOCK_LIB}")
+brlcad_addexec(g2asc asc/g2asc.c "librt;libbu;${WINSOCK_LIB}")
 
-BRLCAD_ADDEXEC(bot-bldxf dxf/bot-bldxf.c "librt;libbu;${M_LIBRARY}")
+brlcad_addexec(bot-bldxf dxf/bot-bldxf.c "librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(bot_dump bot_dump.c "libged;librt")
+brlcad_addexec(bot_dump bot_dump.c "libged;librt")
 
-BRLCAD_ADDEXEC(bot_shell-vtk bot_shell-vtk.c librt)
+brlcad_addexec(bot_shell-vtk bot_shell-vtk.c librt)
 
 set(comgeom-g_SRCS
   comgeom/cvt.c
@@ -61,63 +61,63 @@
   comgeom/solid.c
   comgeom/tools.c
   )
-BRLCAD_ADDEXEC(comgeom-g "${comgeom-g_SRCS}" "libwdb;libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(comgeom-g "${comgeom-g_SRCS}" "libwdb;libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(conv-vg2g conv-vg2g.c "libbu;libsysv")
+brlcad_addexec(conv-vg2g conv-vg2g.c "libbu;libsysv")
 
-BRLCAD_ADDEXEC(cy-g cy-g.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(cy-g cy-g.c "libwdb;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(dbupgrade dbupgrade.c "libwdb;librt;libbu")
+brlcad_addexec(dbupgrade dbupgrade.c "libwdb;librt;libbu")
 
-BRLCAD_ADDEXEC(dem-g dem-g.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(dem-g dem-g.c "libwdb;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(dxf-g dxf/dxf-g.c "libwdb;librt;libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(dxf-g dxf/dxf-g.c "libwdb;librt;libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(enf-g enf-g.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(enf-g enf-g.c "libwdb;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(euclid_format euclid/euclid_format.c librt)
+brlcad_addexec(euclid_format euclid/euclid_format.c librt)
 
-BRLCAD_ADDEXEC(euclid_unformat euclid/euclid_unformat.c "libbn;libbu;libsysv")
+brlcad_addexec(euclid_unformat euclid/euclid_unformat.c "libbn;libbu;libsysv")
 
-BRLCAD_ADDEXEC(euclid-g euclid/euclid-g.c libwdb)
+brlcad_addexec(euclid-g euclid/euclid-g.c libwdb)
 
-BRLCAD_ADDEXEC(g-dot g-dot.c "libged;libbu")
+brlcad_addexec(g-dot g-dot.c "libged;libbu")
 
-BRLCAD_ADDEXEC(g-dxf dxf/g-dxf.c "librt;libgcv;libbu")
+brlcad_addexec(g-dxf dxf/g-dxf.c "librt;libgcv;libbu")
 
-BRLCAD_ADDEXEC(g-egg g-egg.c "libwdb;libgcv")
+brlcad_addexec(g-egg g-egg.c "libwdb;libgcv")
 
-BRLCAD_ADDEXEC(g-euclid euclid/g-euclid.c librt)
+brlcad_addexec(g-euclid euclid/g-euclid.c librt)
 
-BRLCAD_ADDEXEC(g-euclid1 euclid/g-euclid1.c librt)
+brlcad_addexec(g-euclid1 euclid/g-euclid1.c librt)
 
-BRLCAD_ADDEXEC(g-nff g-nff.c "libwdb;${M_LIBRARY}")
+brlcad_addexec(g-nff g-nff.c "libwdb;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(g-nmg nmg/g-nmg.c libwdb)
+brlcad_addexec(g-nmg nmg/g-nmg.c libwdb)
 
-BRLCAD_ADDEXEC(fast4-g fast4-g.c "libwdb;librt;libbu;${M_LIBRARY}")
+brlcad_addexec(fast4-g fast4-g.c "libwdb;librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(jack-g jack/jack-g.c "libwdb;librt;libbu")
+brlcad_addexec(jack-g jack/jack-g.c "libwdb;librt;libbu")
 
-BRLCAD_ADDEXEC(g-jack jack/g-jack.c "librt;libbu")
+brlcad_addexec(g-jack jack/g-jack.c "librt;libbu")
 
-BRLCAD_ADDEXEC(g-off off/g-off.c "librt;libbu")
+brlcad_addexec(g-off off/g-off.c "librt;libbu")
 
-BRLCAD_ADDEXEC(off-g off/off-g.c "libwdb;librt;libbu")
+brlcad_addexec(off-g off/off-g.c "libwdb;librt;libbu")
 
-BRLCAD_ADDEXEC(stl-g stl/stl-g.c "libwdb;librt;libbu;${WINSOCK_LIB}")
+brlcad_addexec(stl-g stl/stl-g.c "libwdb;librt;libbu;${WINSOCK_LIB}")
 
-BRLCAD_ADDEXEC(g-stl stl/g-stl.c "librt;libgcv;libbu;${WINSOCK_LIB}")
+brlcad_addexec(g-stl stl/g-stl.c "librt;libgcv;libbu;${WINSOCK_LIB}")
 
-BRLCAD_ADDEXEC(g4-g5 g4-g5.c "librt;libbu" NO_INSTALL)
+brlcad_addexec(g4-g5 g4-g5.c "librt;libbu" NO_INSTALL)
 
-BRLCAD_ADDEXEC(g5-g4 g5-g4.c "libwdb;librt;libbu" NO_INSTALL)
+brlcad_addexec(g5-g4 g5-g4.c "libwdb;librt;libbu" NO_INSTALL)
 
-BRLCAD_ADDEXEC(g-acad g-acad.c "librt;libbu")
+brlcad_addexec(g-acad g-acad.c "librt;libbu")
 
-BRLCAD_ADDEXEC(g-obj g-obj.c "librt;libbu")
+brlcad_addexec(g-obj g-obj.c "librt;libbu")
 
-BRLCAD_ADDEXEC(g-voxel g-voxel.c "librt;libbu;libwdb;libanalyze;")
+brlcad_addexec(g-voxel g-voxel.c "librt;libbu;libwdb;libanalyze;")
 
 # TODO - Until wfobj functionality is available as a libgcv API,
 # obj-g build logic is living in src/libgcv/wfobj. Once an API
@@ -125,48 +125,48 @@
 # obj-g build logic back here
 #BRLCAD_ADDEXEC(obj-g ${OBJ_G_SRCS} "libbu;libbn;librt;libwdb;libgcv")
 
-BRLCAD_ADDEXEC(patch-g patch/patch-g.c "libwdb;librt;libbu;${M_LIBRARY}")
+brlcad_addexec(patch-g patch/patch-g.c "libwdb;librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(rpatch patch/rpatch.c "librt;libbu")
+brlcad_addexec(rpatch patch/rpatch.c "librt;libbu")
 
-BRLCAD_ADDEXEC(g-tankill tankill/g-tankill.c "librt;libbu")
+brlcad_addexec(g-tankill tankill/g-tankill.c "librt;libbu")
 
-BRLCAD_ADDEXEC(tankill-g tankill/tankill-g.c "libwdb;librt;libbu")
+brlcad_addexec(tankill-g tankill/tankill-g.c "libwdb;librt;libbu")
 
-BRLCAD_ADDEXEC(g-var g-var.c "librt;libbu;${M_LIBRARY}")
+brlcad_addexec(g-var g-var.c "librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(g-vrml g-vrml.c "librt;libbu;${M_LIBRARY}")
+brlcad_addexec(g-vrml g-vrml.c "librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(g-x3d g-x3d.c "librt;libbu;${M_LIBRARY}")
+brlcad_addexec(g-x3d g-x3d.c "librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(nastran-g nastran-g.c "libwdb;librt;libbu;${M_LIBRARY}")
+brlcad_addexec(nastran-g nastran-g.c "libwdb;librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(nmg-bot nmg/nmg-bot.c libwdb)
+brlcad_addexec(nmg-bot nmg/nmg-bot.c libwdb)
 
-BRLCAD_ADDEXEC(nmg-rib nmg/nmg-rib.c libwdb)
+brlcad_addexec(nmg-rib nmg/nmg-rib.c libwdb)
 
-BRLCAD_ADDEXEC(nmg-sgp nmg/nmg-sgp.c libwdb)
+brlcad_addexec(nmg-sgp nmg/nmg-sgp.c libwdb)
 
-BRLCAD_ADDEXEC(ply-g ply-g.c "librt;libbu")
+brlcad_addexec(ply-g ply-g.c "librt;libbu")
 
-BRLCAD_ADDEXEC(poly-bot poly-bot.c "libwdb;${WINSOCK_LIB}")
+brlcad_addexec(poly-bot poly-bot.c "libwdb;${WINSOCK_LIB}")
 
-BRLCAD_ADDEXEC(proe-g proe-g.c "libwdb;librt;libbu;${M_LIBRARY}")
+brlcad_addexec(proe-g proe-g.c "libwdb;librt;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(shp-g "shp/shp-g.c;shp/shapelib/safileio.c;shp/shapelib/shpopen.c" "libwdb;librt;libbu")
+brlcad_addexec(shp-g "shp/shp-g.c;shp/shapelib/safileio.c;shp/shapelib/shpopen.c" "libwdb;librt;libbu")
 
-BRLCAD_ADDEXEC(viewpoint-g viewpoint-g.c "libwdb;librt;libbu")
+brlcad_addexec(viewpoint-g viewpoint-g.c "libwdb;librt;libbu")
 
-BRLCAD_ADDEXEC(g-xxx_facets g-xxx_facets.c "librt;libbu" NO_INSTALL)
+brlcad_addexec(g-xxx_facets g-xxx_facets.c "librt;libbu" NO_INSTALL)
 
-BRLCAD_ADDEXEC(walk_example walk_example.c "libbu;librt" NO_INSTALL)
+brlcad_addexec(walk_example walk_example.c "libbu;librt" NO_INSTALL)
 
-BRLCAD_ADDEXEC(g-shell-rect g-shell-rect.c "libwdb;librt;libbu;${M_LIBRARY}")
+brlcad_addexec(g-shell-rect g-shell-rect.c "libwdb;librt;libbu;${M_LIBRARY}")
 
 install(PROGRAMS intaval-g.py DESTINATION bin)
 
-BRLCAD_ADDDATA(g-xxx.c sample_applications)
-BRLCAD_ADDDATA(g-xxx_facets.c sample_applications)
+brlcad_adddata(g-xxx.c sample_applications)
+brlcad_adddata(g-xxx_facets.c sample_applications)
 
 set(conv_ignore_files
   Formats.csv
@@ -184,8 +184,8 @@
   shp/shapelib/shapefil.h
   shp/README
   )
-CMAKEFILES(${conv_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${conv_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/conv/iges/CMakeLists.txt
===================================================================
--- src/conv/iges/CMakeLists.txt	(revision 54114)
+++ src/conv/iges/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${RT_INCLUDE_DIRS}
   ${WDB_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES IGES_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES IGES_INCLUDE_DIRS)
 include_directories(${IGES_INCLUDE_DIRS})
 
 if(MSVC)
@@ -96,9 +96,9 @@
   usage.c
   wedge.c
   )
-BRLCAD_ADDEXEC(iges-g "${iges-g_SRCS}" "libwdb;librt;libbn;libbu;${M_LIBRARY}")
+brlcad_addexec(iges-g "${iges-g_SRCS}" "libwdb;librt;libbn;libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(g-iges "g-iges.c;iges.c" "librt;libbu;${M_LIBRARY}")
+brlcad_addexec(g-iges "g-iges.c;iges.c" "librt;libbu;${M_LIBRARY}")
 
 set(iges_ignore_files
   BrepHandler.cpp
@@ -124,8 +124,8 @@
   wing128.igs
   woodie.igs
   )
-CMAKEFILES(${iges_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${iges_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/conv/step/CMakeLists.txt
===================================================================
--- src/conv/step/CMakeLists.txt	(revision 54114)
+++ src/conv/step/CMakeLists.txt	(working copy)
@@ -10,7 +10,7 @@
   ${RT_INCLUDE_DIRS}
   ${WDB_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES STEP_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES STEP_INCLUDE_DIRS)
 include_directories(${STEP_INCLUDE_DIRS})
 
 # local includes
@@ -38,7 +38,7 @@
 
 set(SCHEMA_OUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME})
 make_directory(${SCHEMA_OUT_DIR})
-DISTCLEAN(${SCHEMA_OUT_DIR})
+distclean(${SCHEMA_OUT_DIR})
 include_directories(${SCHEMA_OUT_DIR})
 
 set(fedex_srcs
@@ -463,7 +463,7 @@
   VolumeSiUnit.h
   VolumeUnit.h
   )
-CMAKEFILES(${stepg_HDRS})
+cmakefiles(${stepg_HDRS})
 
 set(stepg_LIBS
   libwdb
@@ -478,7 +478,7 @@
   )
 list(APPEND stepg_LIBS ${stepg_LIBS})
 
-BRLCAD_ADDEXEC(step-g "${stepg_SOURCES}" "${stepg_LIBS}" NOSTRICT)
+brlcad_addexec(step-g "${stepg_SOURCES}" "${stepg_LIBS}" NOSTRICT)
 
 if(MSVC)
   set(stepg_IMPORTS
@@ -495,8 +495,8 @@
 			"${stepg_IMPORTS}")
 endif(MSVC)
 
-DISTCLEAN(${SCHEMA_OUT_DIR}/make_schema)
-CMAKEFILES(Makefile.am)
+distclean(${SCHEMA_OUT_DIR}/make_schema)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libgcv/CMakeLists.txt
===================================================================
--- src/libgcv/CMakeLists.txt	(revision 54114)
+++ src/libgcv/CMakeLists.txt	(working copy)
@@ -9,7 +9,7 @@
   ${BU_INCLUDE_DIRS}
   ${RT_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(gcv GCV_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(gcv GCV_INCLUDE_DIRS "")
 
 set(LIBGCV_SOURCES
   bottess.c
@@ -18,19 +18,19 @@
   tri_intersect.c
   )
 
-BRLCAD_ADDLIB(libgcv "${LIBGCV_SOURCES}" "librt;libbu")
-SET_TARGET_PROPERTIES(libgcv PROPERTIES VERSION 20.0.1 SOVERSION 20)
+brlcad_addlib(libgcv "${LIBGCV_SOURCES}" "librt;libbu")
+set_target_properties(libgcv PROPERTIES VERSION 20.0.1 SOVERSION 20)
 
 add_subdirectory(wfobj)
 
-BRLCAD_ADDEXEC(test_bottess test_bottess.c libgcv NO_INSTALL)
+brlcad_addexec(test_bottess test_bottess.c libgcv NO_INSTALL)
 if(CPP_DLL_DEFINES)
-  SET_PROPERTY(TARGET test_bottess APPEND PROPERTY COMPILE_DEFINITIONS "BOTTESS_DLL_IMPORTS")
+  set_property(TARGET test_bottess APPEND PROPERTY COMPILE_DEFINITIONS "BOTTESS_DLL_IMPORTS")
 endif(CPP_DLL_DEFINES)
 
-CMAKEFILES(NOTES Makefile.am soup.h tri_intersect.h)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/CTestTestfile.cmake)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/wfobj/CTestTestfile.cmake)
+cmakefiles(NOTES Makefile.am soup.h tri_intersect.h)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/CTestTestfile.cmake)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/wfobj/CTestTestfile.cmake)
 
 # Local Variables:
 # tab-width: 8
Index: src/libgcv/wfobj/CMakeLists.txt
===================================================================
--- src/libgcv/wfobj/CMakeLists.txt	(revision 54114)
+++ src/libgcv/wfobj/CMakeLists.txt	(working copy)
@@ -4,10 +4,10 @@
   ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-PERPLEX_TARGET(OBJ_Scanner obj_rules.l ${CMAKE_CURRENT_BINARY_DIR}/obj_rules.cpp
+perplex_target(OBJ_Scanner obj_rules.l ${CMAKE_CURRENT_BINARY_DIR}/obj_rules.cpp
     ${CMAKE_CURRENT_BINARY_DIR}/obj_scanner.h)
-LEMON_TARGET(OBJ_Parser obj_grammar.yy obj_grammar.cpp obj_grammar.hpp)
-ADD_PERPLEX_LEMON_DEPENDENCY(OBJ_Scanner OBJ_Parser)
+lemon_target(OBJ_Parser obj_grammar.yy obj_grammar.cpp obj_grammar.hpp)
+add_perplex_lemon_dependency(OBJ_Scanner OBJ_Parser)
 
 set(OBJ_G_SRCS
 	${CMAKE_CURRENT_BINARY_DIR}/obj_grammar.cpp
@@ -17,7 +17,7 @@
 	tri_face.c
 )
 
-BRLCAD_ADDEXEC(obj-g "${OBJ_G_SRCS}" "libbu;libbn;librt;libwdb" NOSTRICTCXX)
+brlcad_addexec(obj-g "${OBJ_G_SRCS}" "libbu;libbn;librt;libwdb" NOSTRICTCXX)
 
 set(wfobj_ignore_files
 	obj_grammar_decls.h
@@ -29,7 +29,7 @@
 	obj_token_type.h
 	tri_face.h
 	)
-CMAKEFILES(${wfobj_ignore_files})
+cmakefiles(${wfobj_ignore_files})
 
 # Local Variables:
 # tab-width: 8
